@import '~/variables.scss';

$cardMargin: 20px;

@function calculateCardWidth($cardNumber) {
  @return calc(
    (
      100%
      - (2 * $cardNumber * $cardMargin)
      - (2 * $cardNumber * $base_padding)
    )
    / $cardNumber
  );
}

.stock_holder_card {
  background-color: white;
  border-radius: 5px;
  display: flex;
  gap: $cardMargin;
  flex-direction: column;
  margin: $cardMargin;
  padding: $base_padding;
  position: relative;
  box-shadow: 0px 1px 4px 2px lightgrey;
  transition: 0.5s;

  @media only screen and (min-width: 1451px) {
    width: calculateCardWidth(5);
  }
  @media only screen and (max-width: 1450px) and (min-width: 1201px) {
    width: calculateCardWidth(4);
  }
  @media only screen and (max-width: 1200px) and (min-width: 951px) {
    width: calculateCardWidth(3);
  }
  @media only screen and (max-width: 950px) and (min-width: 701px) {
    width: calculateCardWidth(2);
  }
  @media only screen and (max-width: 700px) {
    width: calculateCardWidth(1);
  }

  img {
    max-height: 260px !important;
  }

  &:hover {
    box-shadow: 0px 1px 6px 6px lightgrey;
    scale: 1.03;
    transition: 0.5s;
    cursor: pointer;
  }

  .stock_image {
    flex: 8;
    width: 100%;
    min-height: 200px;
    max-height: 300px;
  }

  .stock_name {

    overflow: hidden;
    flex: 3;
  }

  .stock_price {
    flex: 1;
  }

  .cart_button {
    flex: 1;
  }

  .add_to_cart_holder {
    display: flex;
    flex-direction: row;

    .add_to_cart_amount {
      width: 100px;
      height: 36px !important;
      border: 0px solid rgb(204, 204, 204) !important;
      box-shadow: 1px 1px 1px 1px lightgrey;
    }
  }
}

.stockinfo {
  display: flex;
  align-items: center;

  &>.numberbox {
    width: 91px;
  }
}